OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.HalfFloatPixel

Contents

- Extension Support
- Types
- Enums

Description

Synopsis

- glGetARBHalfFloatPixel :: MonadIO m => m Bool
- gl_ARB_half_float_pixel :: Bool
- type GLhalfARB = Half
- pattern GL_HALF_FLOAT_ARB :: GLenum

# Extension Support

glGetARBHalfFloatPixel :: MonadIO m => m Bool Source #

Is the ARB_half_float_pixel extension supported?

gl_ARB_half_float_pixel :: Bool Source #

Is the ARB_half_float_pixel extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBHalfFloatPixel` in those cases instead.

# Types

type GLhalfARB = Half Source #

# Enums

pattern GL_HALF_FLOAT_ARB :: GLenum Source #